ControllerResource
RESTful endpoint for managing a Flow Controller.
The following resources are applicable:
- /controller
- /controller/about
- /controller/archive
- /controller/authorities
- /controller/banners
- /controller/config
- /controller/counters
- /controller/counters/{id}
- /controller/prioritizers
- /controller/processor-types
- /controller/revision
- /controller/search-results
- /controller/status
/controller
Mount Point: /rest/controller
HEAD
Returns a 200 OK response to indicate this is a valid controller endpoint.
Response Body
| element: | (custom) |
| media types: | application/xml application/json |
An OK response with an empty entity body.
GET
Returns the details of this NiFi.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query |
Response Body
| element: | controllerEntity |
| media types: | application/xml application/json |
A controllerEntity.
/controller/about
Mount Point: /rest/controller/about
GET
Retrieves details about this NiFi to put in the About dialog.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query |
Response Body
| element: | aboutEntity |
| media types: | application/xml application/json |
An aboutEntity.
/controller/archive
Mount Point: /rest/controller/archive
POST
Creates a new archive of this flow controller. Note, this is a POST operation that returns a URI that is not representative of the thing that was actually created. The archive that is created cannot be referenced at a later time, therefore there is no corresponding URI. Instead the request URI is returned. Alternatively, we could have performed a PUT request. However, PUT requests are supposed to be idempotent and this endpoint is certainly not.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form |
Response Body
| element: | processGroupEntity |
| media types: | application/xml application/json |
A processGroupEntity.
/controller/authorities
Mount Point: /rest/controller/authorities
GET
Retrieves the user details, including the authorities, about the user making the request.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query |
Response Body
| element: | authoritiesEntity |
| media types: | application/xml application/json |
A authoritiesEntity.
/controller/banners
Mount Point: /rest/controller/banners
GET
Retrieves the banners for this NiFi.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query |
Response Body
| element: | bannersEntity |
| media types: | application/xml application/json |
A bannerEntity.
/controller/config
Mount Point: /rest/controller/config
The following operations are supported on this resource:
GET
Retrieves the configuration for this NiFi.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query |
Response Body
| element: | controllerConfigurationEntity |
| media types: | application/xml application/json |
A controllerConfigurationEntity.
PUT
Update the configuration for this NiFi.
Parameters
| name | description | type | default |
|---|---|---|---|
| version | The revision is used to verify the client is working with the latest version of the flow. | form | |
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| name | The name of this controller. | form | |
| comments | The comments of this controller. | form | |
| maxTimerDrivenThreadCount | The maximum number of timer driven threads this controller has available. | form | |
| maxEventDrivenThreadCount | The maximum number of timer driven threads this controller has available. | form |
Response Body
| element: | controllerConfigurationEntity |
| media types: | application/xml application/json |
A controllerConfigurationEntity.
PUT
Update the configuration for this NiFi.
Request Body
| element: | controllerConfigurationEntity |
| media types: | application/xml application/json |
A controllerConfigurationEntity.
Response Body
| element: | controllerConfigurationEntity |
| media types: | application/xml application/json |
A controllerConfigurationEntity.
/controller/counters
Mount Point: /rest/controller/counters
GET
Retrieves the counters report for this NiFi.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query |
Response Body
| element: | countersEntity |
| media types: | application/xml application/json |
A countersEntity.
/controller/counters/{id}
Mount Point: /rest/controller/counters/{id}
PUT
Update the specified counter. This will reset the counter value to 0.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | form | |
| id | The id of the counter. | path |
Response Body
| element: | counterEntity |
| media types: | application/xml application/json |
A counterEntity.
/controller/prioritizers
Mount Point: /rest/controller/prioritizers
GET
Retrieves the types of prioritizers that this NiFi supports.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query |
Response Body
| element: | prioritizerTypesEntity |
| media types: | application/xml application/json |
A prioritizerTypesEntity.
/controller/processor-types
Mount Point: /rest/controller/processor-types
GET
Retrieves the types of processors that this NiFi supports.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query |
Response Body
| element: | processorTypesEntity |
| media types: | application/xml application/json |
A processorTypesEntity.
/controller/revision
Mount Point: /rest/controller/revision
GET
Gets current revision of this NiFi.
Response Body
| element: | entity |
| media types: | application/xml application/json |
A revisionEntity
/controller/search-results
Mount Point: /rest/controller/search-results
GET
Performs a search request for this controller.
Parameters
| name | description | type | default |
|---|---|---|---|
| q | Search string | query |
Response Body
| element: | searchResultsEntity |
| media types: | application/xml application/json |
A searchResultsEntity
/controller/status
Mount Point: /rest/controller/status
GET
Retrieves the status for this NiFi.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query |
Response Body
| element: | controllerStatusEntity |
| media types: | application/xml application/json |
A controllerStatusEntity.